# Class LocationTargetIsoformInteraction

java.lang.Object
org.snpeff.nextProt.Location
org.snpeff.nextProt.LocationTargetIsoform
org.snpeff.nextProt.LocationTargetIsoformInteraction

public class LocationTargetIsoformInteraction extends LocationTargetIsoform
A location respect to two locations within an isoform In this case "start" and "end" are not really an interval, but an interaction between two locations (e.g. disulphide bond)

## Field Summary

### Fields inherited from class LocationTargetIsoform

`accession`

### Fields inherited from class Location

`begin, end, type`

## Constructor Summary

Constructors
Constructor
Description
`LocationTargetIsoformInteraction(String accession, int begin, int end)`
`LocationTargetIsoformInteraction(LocationTargetIsoform loc)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isInteraction()`
`String`
`toString()`

### Methods inherited from class LocationTargetIsoform

`isIsoform`

### Methods inherited from class Location

`isValid`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocationTargetIsoformInteraction

public LocationTargetIsoformInteraction(LocationTargetIsoform loc)

### LocationTargetIsoformInteraction

public LocationTargetIsoformInteraction(String accession, int begin, int end)

## Method Details

### isInteraction

public boolean isInteraction()

Overrides:
  `isInteraction` in class `Location`

### toString

public String toString()

Overrides:
  `toString` in class `LocationTargetIsoform`